# Copyright 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models, fields, api


class CGscopTimesheetPrintWizard(models.TransientModel):
    _name = "cgscop.timesheet.print"
    _description = "Wizard Timesheet Impression"

    date_start = fields.Date('Date de début', required=True)
    date_end = fields.Date('Date de fin', required=True)
    user_id = fields.Many2one(
        comodel_name="res.users",
        string="Employé",
        default=lambda self: self.env.user,
        required=True)
    timesheet_ids = fields.Many2many(
        comodel_name="account.analytic.line")

    @api.multi
    def print_timesheet(self):
        self.timesheet_ids = self.env['account.analytic.line'].sudo().search([
            ['user_id', '=', self.user_id.id],
            ['date', '>=', self.date_start],
            ['date', '<=', self.date_end]])

        print(self)
        print(self.timesheet_ids)
        return self.env.ref(
            'cgscop_timesheet.cgscop_timesheet_report').report_action(self)

